commit:     30de4f10d78d708aaf263b100f5f073f2855e2be
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  2 18:50:27 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Oct  2 18:53:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30de4f10

app-crypt/certbot: 0.39.0 bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-crypt/certbot/Manifest              |  1 +
 app-crypt/certbot/certbot-0.39.0.ebuild | 49 +++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/app-crypt/certbot/Manifest b/app-crypt/certbot/Manifest
index f963cccab50..634445dd15e 100644
--- a/app-crypt/certbot/Manifest
+++ b/app-crypt/certbot/Manifest
@@ -1,3 +1,4 @@
 DIST certbot-0.36.0.tar.gz 1322339 BLAKE2B 
69fbf68b5dd95d6d3ac6c868d583da8c66dfcd01e3471c511d0d9d95de08ac096479733e9fca12ca99abf43484835fa7184dcccb1c11a41ee7948174364f2894
 SHA512 
f7fa8c6200a76b4fc4830865bf11fbba8bd73ea55e1236680181073952505c83b4650b43ccfc8e9b96caf47b85c43e47acf8db6d92134f7c279ebd954ab0ac92
 DIST certbot-0.37.0.tar.gz 1327246 BLAKE2B 
917360ab6d9dedd6e5ea2c558822c228ff34617f97341b7d176e69f7589a3aa3012f1d9abdb33b72960c68a80b29987d1a7b1121eadd7d93adec5829b316f326
 SHA512 
3f2df5f591ba241719fe2e5e90c2b87e2d932d991d943eefbe00b9d76f7fb056d3b6026879511f591473c698b798e78645879f018a78e503b8a06280b036cb35
 DIST certbot-0.38.0.tar.gz 1328474 BLAKE2B 
6ea7c6b5d1840ec9d42509859d0f36f3ac3c4e588149e54fd74f8799a414b43c4d182b47e051a96436c9cdac135999d7e2a25424be680a819d50de64bb85b198
 SHA512 
832ac36c5b13e9764c9aab40856af7b909b630f34b1fe1e42dbf847357b28b2a130df480f1cb543dad0db781a843a79a310eba7b1097370e267d01431c21ee29
+DIST certbot-0.39.0.tar.gz 1350312 BLAKE2B 
5f21c45d25754cb1ed0ad92e8d03637928a274637de09903509c7e78c40fd197e95cfa1f3effecef938d6ab8369dc6811714ddb5a93a806048e0998d1032e4f9
 SHA512 
17ab17a5f74e3fba58b1a8b9afe0c3656c7b2a5ea3585edb05ad84e36250c6a8d4d28bd692bc97d033c95eb0bbeff4eb84981ae0006e36d55846cd38373b86a0

diff --git a/app-crypt/certbot/certbot-0.39.0.ebuild 
b/app-crypt/certbot/certbot-0.39.0.ebuild
new file mode 100644
index 00000000000..0e7b7afdc97
--- /dev/null
+++ b/app-crypt/certbot/certbot-0.39.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=(python{2_7,3_5,3_6,3_7})
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+       ${CDEPEND}
+       >=app-crypt/acme-0.29.0[${PYTHON_USEDEP}]
+       >=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
+       dev-python/configobj[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-1.2.3[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+       >=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
+       dev-python/pyrfc3339[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/zope-component[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="
+       ${CDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       # acme is not installed, removing it here is fine, the dir just 
confuses tests
+       rm -R acme
+       pytest -vv ${PN} || die
+}

Reply via email to